al_draw_ustr(3)

NAME

al_draw_ustr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    void al_draw_ustr(const ALLEGRO_FONT *font,
       ALLEGRO_COLOR color, float x, float y, int flags,
       const ALLEGRO_USTR *ustr)

DESCRIPTION

Like al_draw_text(3), except the text is passed as an ALLEGRO_USTR instead of a NUL-terminated char array.

SEE ALSO

al_draw_text(3), al_draw_justified_ustr(3), al_draw_multiline_ustr(3)